Last Comment Bug 760752 - Frequent browser_dbg_debugger-tab-switch.js | leaked window property: _scriptDebugger and 87 more test failures
: Frequent browser_dbg_debugger-tab-switch.js | leaked window property: _script...
Status: RESOLVED FIXED
[fixed-in-fx-team]
: intermittent-failure
Product: Firefox
Classification: Client Software
Component: Developer Tools: Debugger (show other bugs)
: Trunk
: All All
: P1 critical (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks: 438871 753311
  Show dependency treegraph
 
Reported: 2012-06-01 19:09 PDT by Phil Ringnalda (:philor)
Modified: 2012-11-25 19:31 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
potential fix (6.44 KB, patch)
2012-06-02 02:26 PDT, Dave Camp (:dcamp)
past: review+
Details | Diff | Review
potential fix fix (4.63 KB, patch)
2012-06-02 05:07 PDT, Victor Porof [:vporof][:vp]
no flags Details | Diff | Review

Description Phil Ringnalda (:philor) 2012-06-01 19:09:37 PDT
This very much needs to not merge to Aurora on Monday.

According to edmorley's retriggering on fx-team, it most likely started with https://tbpl.mozilla.org/?tree=Fx-Team&rev=96a7cf29e588 which included the patch for bug 753311 which moved _scriptDebugger around, which makes it seem like a very good candidate.

https://tbpl.mozilla.org/php/getParsedLog.php?id=12278364&tree=Fx-Team
Rev3 WINNT 5.1 fx-team pgo test mochitest-other on 2012-06-01 09:04:29 PDT for push 96a7cf29e588
slave: talos-r3-xp-028

TEST-PASS | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_debugger-tab-switch.js | Shouldn't have a tab switch notification.
TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_debugger-tab-switch.js | Second debugger has loaded.
TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_debugger-tab-switch.js | Console message: [JavaScript Error: "self._transport is null" {file: "resource://gre/modules/devtools/dbg-client.jsm" line: 368}]
TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_debugger-tab-switch.js | Console message: [JavaScript Error: "TypeError: this._scripts is null" {file: "chrome://browser/content/debugger-view.js" line: 475}]
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_debugger-tab-switch.js | leaked window property: _scriptDebugger
INFO TEST-END | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_debugger-tab-switch.js | finished in 1479ms
TEST-INFO | checking window state
TEST-START | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_debuggerstatement.js
TEST-PASS | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_debuggerstatement.js | Should trigger the pause handler on a debugger statement.
TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_debuggerstatement.js | Console message: [JavaScript Error: "[Exception... "Component returned failure code: 0x80470002 (NS_BASE_STREAM_CLOSED) [nsIOutputStream.write]"  nsresult: "0x80470002 (NS_BASE_STREAM_CLOSED)"  location: "JS frame :: chrome://global/content/devtools/dbg-transport.js :: DT_onOutputStreamReady :: line 94"  data: no]" {file: "chrome://global/content/devtools/dbg-transport.js" line: 94}]
INFO TEST-END | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_debuggerstatement.js | finished in 361ms
TEST-INFO | checking window state
TEST-START | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_displayName.js
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_displayName.js | Test timed out
(screenshot)
...
on and on

https://tbpl.mozilla.org/php/getParsedLog.php?id=12265872&tree=Fx-Team
https://tbpl.mozilla.org/php/getParsedLog.php?id=12270249&tree=Fx-Team
https://tbpl.mozilla.org/php/getParsedLog.php?id=12295540&tree=Fx-Team
https://tbpl.mozilla.org/php/getParsedLog.php?id=12287614&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=12289762&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=12284445&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=12291837&tree=Mozilla-Inbound
(the latter two being the start of non-WinXP)
Comment 1 Phil Ringnalda (:philor) 2012-06-01 19:40:10 PDT
Pushed an investigatory backout to try in https://tbpl.mozilla.org/?tree=Try&rev=71b6b7e31589 (but good luck to me getting Windows builds)
Comment 2 Phil Ringnalda (:philor) 2012-06-01 20:23:32 PDT
Which, alas, says that there's dependent stuff landed on top of it.
Comment 5 Treeherder Robot 2012-06-02 01:44:03 PDT
vporof
https://tbpl.mozilla.org/php/getParsedLog.php?id=12301619&tree=Fx-Team
Rev3 WINNT 5.1 fx-team debug test mochitest-other on 2012-06-01 23:26:05
slave: talos-r3-xp-043

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_debugger-tab-switch.js | leaked window property: _scriptDebugger
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_displayName.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_displayName.js | Found a tab after previous test timed out: http://example.com/browser/browser/devtools/debugger/test/browser_dbg_displayName.html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_iframes.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_iframes.js | Cleanup function threw an exception at chrome://browser/content/tabbrowser.xml:1484 - TypeError: aTab is null
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_iframes.js | Found a tab after previous test timed out: http://example.com/browser/browser/devtools/debugger/test/browser_dbg_iframes.html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_location-changes.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_location-changes.js | Cleanup function threw an exception at chrome://browser/content/tabbrowser.xml:1484 - TypeError: aTab is null
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_location-changes.js | Found a tab after previous test timed out: http://example.com/browser/browser/devtools/debugger/test/browser_dbg_stack.html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_panesize-inner.js | Shouldn't have a debugger pane for this tab yet.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_panesize-inner.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_panesize-inner.js | Found a tab after previous test timed out: http://example.com/browser/browser/devtools/debugger/test/browser_dbg_tab1.html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_panesize.js | Shouldn't have a debugger pane for this tab yet.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_panesize.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_panesize.js | Found a tab after previous test timed out: http://example.com/browser/browser/devtools/debugger/test/browser_dbg_tab1.html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_pause-resume.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_pause-resume.js | Cleanup function threw an exception at chrome://browser/content/tabbrowser.xml:1484 - TypeError: aTab is null
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_pause-resume.js | Found a tab after previous test timed out: http://example.com/browser/browser/devtools/debugger/test/browser_dbg_stack.html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_propertyview-01.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_propertyview-01.js | Cleanup function threw an exception at chrome://browser/content/tabbrowser.xml:1484 - TypeError: aTab is null
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_propertyview-01.js | Found a tab after previous test timed out: http://example.com/browser/browser/devtools/debugger/test/browser_dbg_stack.html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_propertyview-02.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_propertyview-02.js | Cleanup function threw an exception at chrome://browser/content/tabbrowser.xml:1484 - TypeError: aTab is null
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_propertyview-02.js | Found a tab after previous test timed out: http://example.com/browser/browser/devtools/debugger/test/browser_dbg_stack.html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_propertyview-03.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_propertyview-03.js | Cleanup function threw an exception at chrome://browser/content/tabbrowser.xml:1484 - TypeError: aTab is null
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_propertyview-03.js | Found a tab after previous test timed out: http://example.com/browser/browser/devtools/debugger/test/browser_dbg_stack.html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_propertyview-04.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_propertyview-04.js | Cleanup function threw an exception at chrome://browser/content/tabbrowser.xml:1484 - TypeError: aTab is null
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_propertyview-04.js | Found a tab after previous test timed out: http://example.com/browser/browser/devtools/debugger/test/browser_dbg_stack.html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_propertyview-05.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_propertyview-05.js | Cleanup function threw an exception at chrome://browser/content/tabbrowser.xml:1484 - TypeError: aTab is null
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_propertyview-05.js | Found a tab after previous test timed out: http://example.com/browser/browser/devtools/debugger/test/browser_dbg_stack.html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_propertyview-06.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_propertyview-06.js | Cleanup function threw an exception at chrome://browser/content/tabbrowser.xml:1484 - TypeError: aTab is null
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_propertyview-06.js | Found a tab after previous test timed out: http://example.com/browser/browser/devtools/debugger/test/browser_dbg_stack.html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_propertyview-07.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_propertyview-07.js | Cleanup function threw an exception at chrome://browser/content/tabbrowser.xml:1484 - TypeError: aTab is null
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_propertyview-07.js | Found a tab after previous test timed out: http://example.com/browser/browser/devtools/debugger/test/browser_dbg_frame-parameters.html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_propertyview-08.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_propertyview-08.js | Cleanup function threw an exception at chrome://browser/content/tabbrowser.xml:1484 - TypeError: aTab is null
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_propertyview-08.js | Found a tab after previous test timed out: http://example.com/browser/browser/devtools/debugger/test/browser_dbg_frame-parameters.html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_propertyview-09.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_propertyview-09.js | Cleanup function threw an exception at chrome://browser/content/tabbrowser.xml:1484 - TypeError: aTab is null
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_propertyview-09.js | Found a tab after previous test timed out: http://example.com/browser/browser/devtools/debugger/test/browser_dbg_frame-parameters.html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_propertyview-10.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_propertyview-10.js | Cleanup function threw an exception at chrome://browser/content/tabbrowser.xml:1484 - TypeError: aTab is null
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_propertyview-10.js | Found a tab after previous test timed out: http://example.com/browser/browser/devtools/debugger/test/browser_dbg_with-frame.html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_propertyview-edit.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_propertyview-edit.js | Cleanup function threw an exception at chrome://browser/content/tabbrowser.xml:1484 - TypeError: aTab is null
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_propertyview-edit.js | Found a tab after previous test timed out: http://example.com/browser/browser/devtools/debugger/test/browser_dbg_frame-parameters.html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | Cleanup function threw an exception at chrome://browser/content/tabbrowser.xml:1484 - TypeError: aTab is null
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | Found a tab after previous test timed out: http://example.com/browser/browser/devtools/debugger/test/browser_dbg_script-switching.html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_scripts-searching-01.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_scripts-searching-01.js | Cleanup function threw an exception at chrome://browser/content/tabbrowser.xml:1484 - TypeError: aTab is null
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_scripts-searching-01.js | Found a tab after previous test timed out: http://example.com/browser/browser/devtools/debugger/test/browser_dbg_stack.html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_scripts-searching-02.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_scripts-searching-02.js | Cleanup function threw an exception at chrome://browser/content/tabbrowser.xml:1484 - TypeError: aTab is null
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_scripts-searching-02.js | Found a tab after previous test timed out: http://example.com/browser/browser/devtools/debugger/test/browser_dbg_script-switching.html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_scripts-sorting.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_scripts-sorting.js | Cleanup function threw an exception at chrome://browser/content/tabbrowser.xml:1484 - TypeError: aTab is null
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_scripts-sorting.js | Found a tab after previous test timed out: http://example.com/browser/browser/devtools/debugger/test/browser_dbg_stack.html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-01.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-01.js | Cleanup function threw an exception at chrome://browser/content/tabbrowser.xml:1484 - TypeError: aTab is null
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-01.js | Found a tab after previous test timed out: http://example.com/browser/browser/devtools/debugger/test/browser_dbg_stack.html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-02.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-02.js | Cleanup function threw an exception at chrome://browser/content/tabbrowser.xml:1484 - TypeError: aTab is null
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-02.js | Found a tab after previous test timed out: http://example.com/browser/browser/devtools/debugger/test/browser_dbg_stack.html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-03.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-03.js | Cleanup function threw an exception at chrome://browser/content/tabbrowser.xml:1484 - TypeError: aTab is null
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-03.js | Found a tab after previous test timed out: http://example.com/browser/browser/devtools/debugger/test/browser_dbg_stack.html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Cleanup function threw an exception at chrome://browser/content/tabbrowser.xml:1484 - TypeError: aTab is null
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Found a tab after previous test timed out: http://example.com/browser/browser/devtools/debugger/test/browser_dbg_stack.html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | Cleanup function threw an exception at chrome://browser/content/tabbrowser.xml:1484 - TypeError: aTab is null
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | Found a tab after previous test timed out: http://example.com/browser/browser/devtools/debugger/test/browser_dbg_script-switching.html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.js | Cleanup function threw an exception at chrome://browser/content/tabbrowser.xml:1484 - TypeError: aTab is null
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.js | Found a tab after previous test timed out: http://example.com/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/shared/test/browser_toolbar_basic.js | debugger button state 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/shared/test/browser_toolbar_basic.js | debugger button state 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/shared/test/browser_toolbar_basic.js | debugger button state 3
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/shared/test/browser_toolbar_basic.js | debugger button state 6
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/shared/test/browser_toolbar_basic.js | debugger button state 7
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/shared/test/browser_toolbar_basic.js | debugger button state 8
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/shared/test/browser_toolbar_basic.js | debugger button state 9
Comment 6 Dave Camp (:dcamp) 2012-06-02 02:26:42 PDT
Created attachment 629456 [details] [diff] [review]
potential fix

Here's a fix that works for me.  Panos, Victor, you might be able to see a better approach...

https://tbpl.mozilla.org/?tree=Try&rev=63f124de24ac
Comment 7 Victor Porof [:vporof][:vp] 2012-06-02 05:07:49 PDT
Created attachment 629461 [details] [diff] [review]
potential fix fix

Dave's approach looks good.
Added commit message and removed extra dumps & bad formatting.
Comment 10 Panos Astithas [:past] 2012-06-02 08:41:40 PDT
Comment on attachment 629456 [details] [diff] [review]
potential fix

Review of attachment 629456 [details] [diff] [review]:
-----------------------------------------------------------------

Try runs look green, I'm going to land this.
Comment 11 Panos Astithas [:past] 2012-06-02 08:47:43 PDT
https://hg.mozilla.org/integration/fx-team/rev/8caca2dc3ec1
Comment 14 Dave Camp (:dcamp) 2012-06-02 16:59:24 PDT
https://hg.mozilla.org/mozilla-central/rev/8caca2dc3ec1

Note You need to log in before you can comment on or make changes to this bug.